com.h3c.of.lib.mp

## Class MBodyPortStats.Array

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyList<MBodyPortStats>
    - - com.h3c.of.lib.mp.MBodyPortStats.Array

- All Implemented Interfaces:
    MultipartBody, Structure
  Direct Known Subclasses:
    MBodyPortStats.MutableArray
  Enclosing class:
    MBodyPortStats

      public static class MBodyPortStats.Array
      extends MBodyList<MBodyPortStats>

  Represents an array of port stats elements.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<MBodyPortStats>` | `getElementClass()` Returns the class of the elements of the array.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.mp.MBodyList

      `getList, getTotalLength, getVersion`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `hex, hex, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.mp.MultipartBody

      `validate`

- - ### Method Detail

    - #### getElementClass

          public Class<MBodyPortStats> getElementClass()

      Description copied from class: `MBodyList`
      Returns the class of the elements of the array.
      Specified by:
        `getElementClass` in class `MBodyList<MBodyPortStats>`
      Returns:
        the class of the array elements

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowStructure`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowStructure`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowStructure.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowStructure`
      Returns:
        a (possibly multi-line) string representation of this message

Copyright © 2014. All Rights Reserved.